%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name ddt

Name:           python-%{upstream_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Data-Driven/Decorated Tests

License:        MIT
URL:            https://github.com/txels/ddt
Source0:        http://pypi.python.org/packages/source/d/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-setuptools


%description
A library to multiply test cases


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        Data-Driven/Decorated Tests
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
A library to multiply test cases
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
#%doc README.md LICENSE.md CONTRIBUTING.md
%{python_sitelib}/%{upstream_name}.py*
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
#%doc README.md LICENSE.md CONTRIBUTING.md
%{python3_sitelib}/%{upstream_name}.py*
%{python3_sitelib}/__pycache__
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Wed Feb 11 2015 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0
- Initial package.
